Saxon-JS - Bug #3734

Cannot compile ixsl:schedule-action using only wait attribute
2018-04-04 13:58 - Debbie Lockett

Status: Closed Start date: 2018-04-04
Priority: Normal Due date:

Assignee: Debbie Lockett % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: Spent time: 0:00 hour
Applies to JS Branch: SEF Generated with: 9.8

Fix Committed on JS Platforms:

Branch:

Fixed in JS Release: Saxon-JS 1.1.0

Description

The fix for Issue #3568 required a change in the Saxon-EE code to allow @wait with @document or @http-request. Unfortunately
the compile time attribute combination checking code is wrong, and it no longer allows just @wait on its own. This affects the latest
Saxon-EE releases 9.8.0.10 and 9.8.0.11 only.

History

#1 - 2018-04-04 14:12 - Debbie Lockett

- Status changed from New to Resolved

Also raised as Saxon bug #3735, since this is purely a compile time bug.

Fix committed on 9.8 and trunk branches (IXSLScheduleAction prepareAttributes method).

#2 - 2018-05-09 12:21 - Debbie Lockett

- Status changed from Resolved to Closed
- % Done changed from 0 to 100

- Fixed in JS Release set to Saxon-JS 1.1.0

Bug fix applied in the Saxon-JS 1.1.0 maintenance release.
